Bug 75725 - Mailman pipermail alias set up incorrectly in mailman-2.0.13-1
Mailman pipermail alias set up incorrectly in mailman-2.0.13-1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mailman (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 11:50 EDT by Joseph Tate
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 15:58:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Tate 2002-10-11 11:50:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
The pipermail alias set in /etc/httpd/conf/httpd-mailman.conf is incorrect.  By
default archives are not available.


Version-Release number of selected component (if applicable):2.0.13-1


How reproducible:
Always

Steps to Reproduce:
1. Install Mailman
2. Fix the redirect line in httpd-mailman.conf to match your system.
3. Add an Include to the bottom of httpd.conf to read in httpd-mailman.conf
4. Restart Apache

Actual Results:  Clicking on the archives link from the listinfo page for a
mailing list gave a 404.

Expected Results:  It should have linked to the archives

Additional info:

To fix:
Change
Alias /pipermail/ /var/mailman/Mailman/Archiver/
to
Alias /pipermail/ /var/mailman/archives/public/
Comment 1 John Dennis 2005-02-14 15:58:03 EST
This was fixed a while ago, then after the FHS changes it had to be
fixed one more time. Current releases now the right directory.

Note You need to log in before you can comment on or make changes to this bug.